#include <iostream>
#include <cstdio>
#include <set>
#include <string>
#include <vector>

using namespace std;

int main()
{
    freopen("encryption.in", "r", stdin);
    freopen("encryption.out", "w", stdout);
    int n;
    cin >> n;
    string s;
    cin >> s;
    vector<int> sum(s.length() + 1);
    set<char> alp;
    alp.insert('a'), alp.insert('o'), alp.insert('i'), alp.insert('e'), alp.insert('u');//, alp.insert('y');
    sum[0] = 0;
    
    for (int i = 0; i < s.length(); i++)
        sum[i + 1] += sum[i] + alp.count(tolower(s[i]));

    int ans = 0;
    for (int i = 1; i <= s.length(); i++)
        ans += (sum[i] + sum[s.length() - i]) == (sum[s.length()]) && (sum[i] > 0);
    cout << ans << endl;
}